/* tslint:disable */
/* eslint-disable */
/**
 * e-commerce-service
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.74
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * 
 * @export
 * @interface EVoucherCodeDto
 */
export interface EVoucherCodeDto {
    /**
     * 
     * @type {string}
     * @memberof EVoucherCodeDto
     */
    'id': string;
    /**
     * 
     * @type {string}
     * @memberof EVoucherCodeDto
     */
    'status': EVoucherCodeDtoStatusEnum;
    /**
     * 
     * @type {string}
     * @memberof EVoucherCodeDto
     */
    'code': string;
    /**
     * 
     * @type {string}
     * @memberof EVoucherCodeDto
     */
    'expiryDate': string;
    /**
     * 
     * @type {string}
     * @memberof EVoucherCodeDto
     */
    'createdAt': string;
}

export const EVoucherCodeDtoStatusEnum = {
    Available: 'available',
    Issued: 'issued',
    Expired: 'expired'
} as const;

export type EVoucherCodeDtoStatusEnum = typeof EVoucherCodeDtoStatusEnum[keyof typeof EVoucherCodeDtoStatusEnum];


